/*************************************************************************************/
/*                                                                                   */
/* Programm LCD_5                                                                    */
/*                                                                                   */
/*                                                                                   */
/* Autor: Markus Kerber                                                              */
/* Datum: 23.08.2007                                                                 */
/*                                                                                   */
/*************************************************************************************/

/*************************************************************************************/
/* Einbinden von Standard Header-Dateien                                             */
/*************************************************************************************/

#include <stdio.h>
#include <string.h>

/*************************************************************************************/
/* Einbinden von eigenen Header-Dateien                                              */
/*************************************************************************************/

#include "..\sourcen&header\t89c51ac2.h"
#include "..\sourcen&header\init_serial_4800.h"
#include "..\sourcen&header\wait_some_time_ms.h"
#include "..\sourcen&header\lcd.h"

/*************************************************************************************/
/* globale Variablendeklaration                                                      */
/*************************************************************************************/

/*************************************************************************************/
/* Positionierung des Cursors                                                        */
/*************************************************************************************/

void pos_LCD(unsigned int ui_zeile, unsigned int ui_spalte)
{
  unsigned int ui_buff  = 0;
  switch (ui_zeile)
  {
    case 1:     ui_buff = _LCD_DDRAM + _LCD_Row0 + ui_spalte;
                break;
    case 2:     ui_buff = _LCD_DDRAM + _LCD_Row1 + ui_spalte;
                break;
    default:    ui_buff = _LCD_DDRAM;
                break;
  }
  RS = 0; RW = 0;
  P2 = ui_buff;
  EN = 0; EN = 1; EN = 0;
}

/*************************************************************************************/
/* Start des Hauptprogramms !                                                        */
/*************************************************************************************/

void main (void)
{
  unsigned char uc_loop = 0;

  init_serial();                    /* Initialisieren der seriellen Schnittstelle */
  init_LCD();                       /* Initialisieren des LCDs */

  do
  {
    printf ("\n\n S T A R T ");
    printf ("\n\n");

    pos_LCD(2,2);
    blink_cursor();
  }
  while (uc_loop != 1);
} /* main */